Import Microsoft Teams conversations

Import Microsoft Teams conversations. See the OpenAPI-defined parameters, request body, and responses below.

POST /Insight/import-ms-teams

Import Microsoft Teams conversations. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint importa conversas originadas do Microsoft Teams.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: ConversationImportMicrosoftTeamsDto

PropertyTypeRequiredDescriptionConstraints
conversationImportRequestDtoConversationImportRequestDtoNo——
conversationImportMicrosoftTeamsEntryDtosarray<ConversationImportMicrosoftTeamsEntryDto>No—nullable

Example request

curl --request POST \
  --url 'https://api.zild.ai/Insight/import-ms-teams' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "conversationImportRequestDto": {
    "checklistId": 0,
    "communicationChannel": 0,
    "tenantId": 0,
    "conversationIntegrationType": 0,
    "userEmail": "string",
    "createdAt": "2026-09-22T18:00:00Z",
    "clientName": "string",
    "fileUrl": "string",
    "fileName": "string",
    "queueId": 0,
    "agentType": 0,
    "conversationType": 0,
    "applicationStatusId": 0
  },
  "conversationImportMicrosoftTeamsEntryDtos": [
    {
      "id": "string",
      "speechServiceResultId": "string",
      "text": "string",
      "speakerId": "string",
      "speakerDisplayName": "string",
      "confidence": 0,
      "startOffset": "string",
      "endOffset": "string",
      "hasBeenEdited": true,
      "roomId": "string",
      "spokenLanguageTag": "string"
    }
  ]
}'

Responses

StatusDescriptionResponse body
200Importacao concluida com sucessoNo response body is defined.

Data models

AgentType

0 = ZildAssist; 1 = ZildFlow; 2 = ZildInsightChat; 3 = ZildChat; 4 = ZildDocs; 5 = ZildVoice; 6 = ZildCoach; 7 = ZildInsightChecklist

integer

CommunicationChannel

0 = Default; 1 = WhatsApp; 2 = Telefonia; 3 = Email; 4 = WebChat; 5 = InstagramDirectMessage; 6 = FacebookMessenger; 7 = MicrosoftTeams; 8 = ZildCoach

integer

ConversationImportMicrosoftTeamsDto
PropertyTypeRequiredDescriptionConstraints
conversationImportRequestDtoConversationImportRequestDtoNo——
conversationImportMicrosoftTeamsEntryDtosarray<ConversationImportMicrosoftTeamsEntryDto>No—nullable
ConversationImportMicrosoftTeamsEntryDto
PropertyTypeRequiredDescriptionConstraints
idstringNo—nullable
speechServiceResultIdstringNo—nullable
textstringNo—nullable
speakerIdstringNo—nullable
speakerDisplayNamestringNo—nullable
confidencenumber · doubleNo——
startOffsetstringNo—nullable
endOffsetstringNo—nullable
hasBeenEditedbooleanNo——
roomIdstringNo—nullable
spokenLanguageTagstringNo—nullable
ConversationImportRequestDto
PropertyTypeRequiredDescriptionConstraints
checklistIdinteger · int32No——
communicationChannelCommunicationChannelNo——
tenantIdinteger · int32No——
conversationIntegrationTypeConversationIntegrationTypeNo——
userEmailstringNo—nullable
createdAtstring · date-timeNo——
clientNamestringNo—nullable
fileUrlstringNo—nullable
fileNamestringNo—nullable
queueIdinteger · int32No——
agentTypeAgentTypeNo——
conversationTypeConversationTypeNo——
applicationStatusIdinteger · int32No——
ConversationIntegrationType

0 = None; 1 = Olus; 2 = TotalIP; 3 = MicrosoftTeams; 4 = Fluctus; 5 = OpaSuite; 6 = ChatMix; 7 = MKBOOT; 8 = FocusChat; 9 = Tallos; 10 = SZFortics; 11 = James; 12 = MatrixGo; 13 = Twilio; 14 = Native; 15 = Internal; 16 = RetellAI; 17 = ElevenLabs; 18 = Email; 19 = WhatsAppApi; 20 = WebChat

integer

ConversationType

0 = ZildAssist; 1 = ZildInsight; 2 = AiSdrReactive; 3 = AiSdrProactive; 4 = AiHrInterview; 5 = ZildCoach; 6 = ZildVoice; 99 = Agent

integer